"""add calibration-ready-for-QA notification template

Revision ID: 7f77bdf5c2e2
Revises: 4ea5c19c9ebd
Create Date: 2021-06-15 15:17:30.983191

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "7f77bdf5c2e2"
down_revision = "4ea5c19c9ebd"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
    INSERT INTO notification_templates (name, description, template) 
    VALUES ('ready-for-QA_email',
     'An email template for notifying a DA that a capability request is ready for QA.',
     'Subject: NRAO Workspaces Request #{{request_id}}: Ready for QA\n\n 
      Dear DA,\n
      A {{capability_name}} request is ready for QA.\n
      UI for passing QA is currently unavailable, and by default all requests are QA-passed. Sorry for the inconvenience.\n
      Request status can be checked here:\n
      {{{status_link}}}\n
      Best regards,\n
      NRAO Workspaces  
      ')
    """
    )


def downgrade():
    op.execute(
        """
    DELETE FROM notification_templates WHERE name = 'ready-for-QA_email'
    """
    )
